KPixmapRegionSelectorDialog Class Reference

`#include <kpixmapregionselectordialog.h>`

Inheritance diagram for KPixmapRegionSelectorDialog:

## Public Member Functions

| KPixmapRegionSelectorDialog (QWidget *parent=0L, const char *name=0L, bool modal=false)
| ~KPixmapRegionSelectorDialog ()
KPixmapRegionSelectorWidget * | pixmapRegionSelectorWidget () const
Public Member Functions inherited from KDialogBase
| KDialogBase (QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (int dialogFace, const QString &caption, int buttonMask, ButtonCode defaultButton, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (KDialogBase::DialogType dialogFace, WFlags f, QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (const QString &caption, int buttonMask=Yes|No|Cancel, ButtonCode defaultButton=Yes, ButtonCode escapeButton=Cancel, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &yes=KStdGuiItem::yes(), const KGuiItem &no=KStdGuiItem::no(), const KGuiItem &cancel=KStdGuiItem::cancel())
| ~KDialogBase ()
void | setButtonBoxOrientation (int orientation)
void | setEscapeButton (ButtonCode id)
virtual void | adjustSize ()
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
QFrame * | plainPage ()
QFrame * | addPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QFrame * | addPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
void | setFolderIcon (const QStringList &path, const QPixmap &pixmap)
QFrame * | makeMainWidget ()
QVBox * | makeVBoxMainWidget ()
QHBox * | makeHBoxMainWidget ()
QGrid * | makeGridMainWidget (int n, Orientation dir)
void | enableButtonSeparator (bool state)
void | showButton (ButtonCode id, bool state)
void | showButtonOK (bool state)
void | showButtonApply (bool state)
void | showButtonCancel (bool state)
bool | showPage (int index)
int | activePageIndex () const
int | pageIndex (QWidget *widget) const
void | setMainWidget (QWidget *widget)
QWidget * | mainWidget ()
void | disableResize ()
void | setInitialSize (const QSize &s, bool noResize=false)
void | incInitialSize (const QSize &s, bool noResize=false)
QSize | configDialogSize (const QString &groupName) const
QSize | configDialogSize (KConfig &config, const QString &groupName) const
void | saveDialogSize (const QString &groupName, bool global=false)
void | saveDialogSize (KConfig &config, const QString &groupName, bool global=false) const
void | setButtonOK (const KGuiItem &item=KStdGuiItem::ok())
void | setButtonOKText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonApply (const KGuiItem &item=KStdGuiItem::apply())
void | setButtonApplyText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonCancel (const KGuiItem &item=KStdGuiItem::cancel())
void | setButtonCancelText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonText (ButtonCode id, const QString &text)
void | setButtonTip (ButtonCode id, const QString &text)
void | setButtonWhatsThis (ButtonCode id, const QString &text)
void | setButtonGuiItem (ButtonCode id, const KGuiItem &item)
void | setTreeListAutoResize (bool state)
void | setShowIconsInTreeList (bool state)
void | setRootIsDecorated (bool state)
void | unfoldTreeList (bool persist=false)
void | addWidgetBelowList (QWidget *widget)
void | addButtonBelowList (const QString &text, QObject *recv, const char *slot)
void | addButtonBelowList (const KGuiItem &guiitem, QObject *recv, const char *slot)
void | setIconListAllVisible (bool state)
void | showTile (bool state)
void | getBorderWidths (int &ulx, int &uly, int &lrx, int &lry) const KDE_DEPRECATED
QRect | getContentsRect () const KDE_DEPRECATED
QSize | calculateSize (int w, int h) const
QString | helpLinkText () const
QPushButton * | actionButton (ButtonCode id)
Public Member Functions inherited from KDialog
| KDialog (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)

## Static Public Member Functions

static QRect | getSelectedRegion (const QPixmap &pixmap, QWidget *parent=0L)
static QRect | getSelectedRegion (const QPixmap &pixmap, int aspectRatioWidth, int aspectRatioHeight, QWidget *parent=0L)
static QImage | getSelectedImage (const QPixmap &pixmap, QWidget *parent=0L)
static QImage | getSelectedImage (const QPixmap &pixmap, int aspectRatioWidth, int aspectRatioHeight, QWidget *parent=0L)
Static Public Member Functions inherited from KDialogBase
static bool | haveBackgroundTile ()
static const QPixmap * | backgroundTile ()
static const QPixmap * | getBackgroundTile () KDE_DEPRECATED
static void | setBackgroundTile (const QPixmap *pix)
Static Public Member Functions inherited from KDialog
static int | marginHint ()
static int | spacingHint ()
static void | resizeLayout (QWidget *widget, int margin, int spacing)
static void | resizeLayout (QLayoutItem *lay, int margin, int spacing)
static void | centerOnScreen (QWidget *widget, int screen=-1)
static bool | avoidArea (QWidget *widget, const QRect &area, int screen=-1)

## Protected Attributes

KPixmapRegionSelectorWidget * | m_pixmapSelectorWidget

## Additional Inherited Members

Public Types inherited from KDialogBase
enum | ButtonCode { Help = 0x00000001, Default = 0x00000002, Ok = 0x00000004, Apply = 0x00000008, Try = 0x00000010, Cancel = 0x00000020, Close = 0x00000040, User1 = 0x00000080, User2 = 0x00000100, User3 = 0x00000200, No = 0x00000080, Yes = 0x00000100, Details = 0x00000400, Filler = 0x40000000, Stretch = 0x80000000, NoDefault }
enum | ActionButtonStyle { ActionStyle0 =0, ActionStyle1, ActionStyle2, ActionStyle3, ActionStyle4, ActionStyleMAX }
enum | DialogType { TreeList = KJanusWidget::TreeList, Tabbed = KJanusWidget::Tabbed, Plain = KJanusWidget::Plain, Swallow = KJanusWidget::Swallow, IconList = KJanusWidget::IconList }
Public Slots inherited from KDialogBase
void | enableButton (ButtonCode id, bool state)
void | enableButtonOK (bool state)
void | enableButtonApply (bool state)
void | enableButtonCancel (bool state)
void | enableLinkedHelp (bool state)
void | delayedDestruct ()
void | setHelpLinkText (const QString &text)
void | setHelp (const QString &anchor, const QString &appname=QString::null)
void | helpClickedSlot (const QString &)
void | setDetails (bool showDetails)
void | setDetailsWidget (QWidget *detailsWidget)
void | updateBackground ()
void | cancel ()
Public Slots inherited from KDialog
virtual void | polish ()
virtual void | setCaption (const QString &caption)
virtual void | setPlainCaption (const QString &caption)
Signals inherited from KDialogBase
void | helpClicked ()
void | defaultClicked ()
void | user3Clicked ()
void | user2Clicked ()
void | user1Clicked ()
void | applyClicked ()
void | tryClicked ()
void | okClicked ()
void | yesClicked ()
void | noClicked ()
void | cancelClicked ()
void | closeClicked ()
void | apply ()
void | backgroundChanged ()
void | hidden ()
void | finished ()
void | aboutToShowDetails ()
void | aboutToShowPage (QWidget *page)
Signals inherited from KDialog
void | layoutHintChanged ()
Protected Slots inherited from KDialogBase
virtual void | slotHelp ()
virtual void | slotDefault ()
virtual void | slotDetails ()
virtual void | slotUser3 ()
virtual void | slotUser2 ()
virtual void | slotUser1 ()
virtual void | slotOk ()
virtual void | slotApply ()
virtual void | slotTry ()
virtual void | slotYes ()
virtual void | slotNo ()
virtual void | slotCancel ()
virtual void | slotClose ()
virtual void | applyPressed ()
void | updateGeometry ()
void | slotDelayedDestruct ()
Protected Member Functions inherited from KDialogBase
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | hideEvent (QHideEvent *)
virtual void | closeEvent (QCloseEvent *e)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A dialog that uses a KPixmapRegionSelectorWidget to allow the user to select a region of an image.

If you want to use special features like forcing the selected area to have a fixed aspect ratio, you can use

See also
  pixmapRegionSelectorWidget() to get the pointer to the KPixmapRegionSelectorWidget object and set the desired options there.

There are some convenience methods that allow to easily show a dialog for the user to select a region of an image, and just care about the selected image.

Author
  Antonio Larrosa larro.nosp@m.sa@k.nosp@m.de.or.nosp@m.g

Since
  3.4

Definition at line 42 of file kpixmapregionselectordialog.h.

## Constructor & Destructor Documentation

KPixmapRegionSelectorDialog::KPixmapRegionSelectorDialog | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | bool | modal = `false`
| ) |  |

The constructor of an empty KPixmapRegionSelectorDialog, you have to call later the setPixmap method of the KPixmapRegionSelectorWidget widget of the new object.

Definition at line 27 of file kpixmapregionselectordialog.cpp.

KPixmapRegionSelectorDialog::~KPixmapRegionSelectorDialog | ( |  | ) |

The destructor of the dialog.

Definition at line 39 of file kpixmapregionselectordialog.cpp.

## Member Function Documentation

QImage KPixmapRegionSelectorDialog::getSelectedImage | ( | const QPixmap & | pixmap,
|  | QWidget * | parent = `0L`
| ) |  |

static

Creates a modal dialog, lets the user to select a region of the `pixmap` and returns when the dialog is closed.

Returns
  the selected image, or an invalid image if the user pressed the Cancel button.

Definition at line 86 of file kpixmapregionselectordialog.cpp.

QImage KPixmapRegionSelectorDialog::getSelectedImage | ( | const QPixmap & | pixmap,
|  | int | aspectRatioWidth,
|  | int | aspectRatioHeight,
|  | QWidget * | parent = `0L`
| ) |  |

static

Creates a modal dialog, lets the user to select a region of the `pixmap` with the same aspect ratio than `aspectRatioWidth` x `aspectRatioHeight` and returns when the dialog is closed.

Returns
  the selected image, or an invalid image if the user pressed the Cancel button.

Definition at line 106 of file kpixmapregionselectordialog.cpp.

QRect KPixmapRegionSelectorDialog::getSelectedRegion | ( | const QPixmap & | pixmap,
|  | QWidget * | parent = `0L`
| ) |  |

static

Creates a modal dialog, lets the user to select a region of the `pixmap` and returns when the dialog is closed.

Returns
  the selected rectangle, or an invalid rectangle if the user pressed the Cancel button.

Definition at line 43 of file kpixmapregionselectordialog.cpp.

QRect KPixmapRegionSelectorDialog::getSelectedRegion | ( | const QPixmap & | pixmap,
|  | int | aspectRatioWidth,
|  | int | aspectRatioHeight,
|  | QWidget * | parent = `0L`
| ) |  |

static

Creates a modal dialog, lets the user to select a region of the `pixmap` with the same aspect ratio than `aspectRatioWidth` x `aspectRatioHeight` and returns when the dialog is closed.

Returns
  the selected rectangle, or an invalid rectangle if the user pressed the Cancel button.

Definition at line 64 of file kpixmapregionselectordialog.cpp.

KPixmapRegionSelectorWidget* KPixmapRegionSelectorDialog::pixmapRegionSelectorWidget | ( |  | ) | const

inline

Returns
  the KPixmapRegionSelectorWidget widget so that additional parameters can be set by using it.

Definition at line 61 of file kpixmapregionselectordialog.h.

The documentation for this class was generated from the following files:

- kpixmapregionselectordialog.h
- kpixmapregionselectordialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys